<!DOCTYPE html>
<html lang="it" data-bs-theme="auto">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <title>{% block title %}igroove{% endblock %}</title>

    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    {% block stylesheets %}
        <script type="text/javascript">
            window.__PUBLIC_PATH__ = '{{ asset('assets/fonts') }}';
            var baseUrl = '{{ app.request.baseUrl }}';
        </script>
        {{ encore_entry_link_tags('app') }}
    {% endblock %}

    {{ encore_entry_script_tags('colorScheme') }}

    <link rel="apple-touch-icon" sizes="180x180" href="{{ asset('assets/images/apple-touch-icon.png') }}">
    <link rel="icon" type="image/png" sizes="32x32" href="{{ asset('assets/images/favicon-32x32.png') }}">
    <link rel="icon" type="image/png" sizes="16x16" href="{{ asset('assets/images/favicon-16x16.png') }}">

</head>

<body>
{% block menu %}
    {% if is_granted("IS_AUTHENTICATED_REMEMBERED") %}
        {% include 'default/menu.html.twig' %}
    {% endif %}
{% endblock %}

<div class="container-fluid">
    <div class="row flex-nowrap">
        <div class="col-auto px-0" id="sidebar-container">
            {% block sidebar %}
                {% if is_granted("IS_AUTHENTICATED_REMEMBERED") %}
                    {{ render(controller('App\\Controller\\DefaultController::sidebar',{'fromUrl':app.request.get('_route')})) }}
                {% endif %}
            {% endblock %}
        </div>
        <div class="col p-3">
            {% block body %}
            {% endblock %}
        </div>
    </div>
</div>
    {% block footer %}
        {# include '_footer.html.twig' #}
    {% endblock %}
    {% block javascripts %}
        {{ encore_entry_script_tags('app') }}
    {% endblock %}

</body>
</html>
